Bug 489056 - smart fails with unicode RPM dependencies
smart fails with unicode RPM dependencies
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: smart (Show other bugs)
rawhide
All Linux
low Severity high
: ---
: ---
Assigned To: Axel Thimm
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-06 18:21 EST by Need Real Name
Modified: 2009-07-31 13:38 EDT (History)
0 users

See Also:
Fixed In Version: 1.2-64.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-27 17:30:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 337798 None None None Never

  None (edit)
Description Need Real Name 2009-03-06 18:21:13 EST
Description of problem:
'smart update' and 'smart --gui' abort with stack trace after adding
"bleeding edge" repositories.


Version-Release number of selected component (if applicable):
# smart --version
smart 1.1.1


How reproducible:
currently happens with every attempt to update, but it may depend on the repositories the user has loaded and the contents of those repositories

Steps to Reproduce:
1. - add updates-testing or development-source repository to smart
2. smart update
3. - observe exception
  
Actual results:
Traceback (most recent call last):
  File "/usr/bin/smart", line 195, in <module>
    main(sys.argv[1:])
  File "/usr/bin/smart", line 168, in main
    exitcode = iface.run(opts.command, opts.argv)
  File "/usr/lib64/python2.5/site-packages/smart/interface.py", line 53, in run
    result = _command.main(self._ctrl, opts)
  File "/usr/lib64/python2.5/site-packages/smart/commands/update.py", line 77, in main
    ctrl.reloadChannels()
  File "control.py", line 387, in reloadChannels
  File "/usr/lib64/python2.5/site-packages/smart/backends/rpm/metadata.py", line 294, in load
    prvargs, reqargs, upgargs, cnfargs)
TypeError: argument 1 must be str, not unicode


Expected results:
smart update completes without error

Additional info:
probably same issue as reported here:  
   https://bugs.launchpad.net/smart/+bug/337798
Comment 1 Need Real Name 2009-03-06 18:37:06 EST
these are the specific packages I have installed:

# rpm -qa | grep smart-
smart-gui-1.1-59.0.1.fc10.x86_64
smart-1.1-59.0.1.fc10.x86_64
fedora-package-config-smart-10-15.x86_64
Comment 2 Need Real Name 2009-03-17 19:12:53 EDT
Someone added a patch to the other bug I linked:
http://launchpadlibrarian.net/23697017/smart-unicode-provides.diff

Applying this patch fixes the problem.  [You will have to adjust the line numbers in the patch, but the fix is straightforward.]
Comment 3 Axel Thimm 2009-03-22 04:58:46 EDT
The upstream bug for this one is

https://bugs.launchpad.net/smart/+bug/337798

The unicode vs str issue was expected to appear in F11 and later, I think that the development-source channel triggered this bug for you, e.g. it is not an F10 bug, but an F11 bug (OTOH building a rawhide chroot within an F10/F9 host will trigger this bug as well).

If I am wrong, please change the version field back to F10 and raise the severity!!!
Comment 4 Fedora Update System 2009-04-16 04:11:48 EDT
smart-1.2-63.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/smart-1.2-63.fc10
Comment 5 Fedora Update System 2009-04-16 04:11:52 EDT
smart-1.2-63.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/smart-1.2-63.fc9
Comment 6 Fedora Update System 2009-04-17 14:04:59 EDT
smart-1.2-64.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update smart'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-3736
Comment 7 Fedora Update System 2009-04-17 14:05:55 EDT
smart-1.2-64.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update smart'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-3738
Comment 8 Fedora Update System 2009-04-27 17:30:40 EDT
smart-1.2-64.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2009-04-27 17:32:03 EDT
smart-1.2-64.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.